<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ExtendedRelPaxDist StructType
 * @subpackage Structs
 */
class JP_ExtendedRelPaxDist extends AbstractStructBase
{
    /**
     * The RelPaxes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ExtendedRelPax
     */
    public $RelPaxes;
    /**
     * Constructor method for JP_ExtendedRelPaxDist
     * @uses JP_ExtendedRelPaxDist::setRelPaxes()
     * @param \ArrayType\ArrayOfJP_ExtendedRelPax $relPaxes
     */
    public function __construct(\ArrayType\ArrayOfJP_ExtendedRelPax $relPaxes = null)
    {
        $this
            ->setRelPaxes($relPaxes);
    }
    /**
     * Get RelPaxes value
     * @return \ArrayType\ArrayOfJP_ExtendedRelPax|null
     */
    public function getRelPaxes()
    {
        return $this->RelPaxes;
    }
    /**
     * Set RelPaxes value
     * @param \ArrayType\ArrayOfJP_ExtendedRelPax $relPaxes
     * @return \StructType\JP_ExtendedRelPaxDist
     */
    public function setRelPaxes(\ArrayType\ArrayOfJP_ExtendedRelPax $relPaxes = null)
    {
        $this->RelPaxes = $relPaxes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ExtendedRelPaxDist
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
